Package org.eclipse.gef.dot.internal.ui

# Class DotAnchorProvider

java.lang.Object
org.eclipse.gef.common.adapt.IAdaptable.Bound.Impl<org.eclipse.gef.mvc.fx.parts.IVisualPart<? extends javafx.scene.Node>>
org.eclipse.gef.mvc.fx.providers.DefaultAnchorProvider
org.eclipse.gef.zest.fx.providers.NodePartAnchorProvider
org.eclipse.gef.dot.internal.ui.DotAnchorProvider

All Implemented Interfaces:
  `org.eclipse.gef.common.adapt.IAdaptable.Bound<org.eclipse.gef.mvc.fx.parts.IVisualPart<? extends javafx.scene.Node>>`, `org.eclipse.gef.mvc.fx.providers.IAnchorProvider`

public class DotAnchorProvider extends org.eclipse.gef.zest.fx.providers.NodePartAnchorProvider

## Property Summary

### Properties inherited from class org.eclipse.gef.common.adapt.IAdaptable.Bound.Impl

`adaptable`

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.gef.common.adapt.IAdaptable.Bound

`org.eclipse.gef.common.adapt.IAdaptable.Bound.Impl<T extends org.eclipse.gef.common.adapt.IAdaptable>`

## Constructor Summary

Constructors
Constructor
Description
`DotAnchorProvider()`

## Method Summary

Modifier and Type
Method
Description
`protected org.eclipse.gef.fx.anchors.IAnchor`
`getDefaultAnchor()`
`protected org.eclipse.gef.fx.anchors.IAnchor`
`getOrthogonalAnchor()`

### Methods inherited from class org.eclipse.gef.zest.fx.providers.NodePartAnchorProvider

`computeAnchorageReferenceGeometry`

### Methods inherited from class org.eclipse.gef.mvc.fx.providers.DefaultAnchorProvider

`createDynamicAnchor, get, initializeComputationParameters`

### Methods inherited from class org.eclipse.gef.common.adapt.IAdaptable.Bound.Impl

`adaptableProperty, getAdaptable, setAdaptable`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DotAnchorProvider

public DotAnchorProvider()

## Method Details

### getOrthogonalAnchor

protected org.eclipse.gef.fx.anchors.IAnchor getOrthogonalAnchor()

Overrides:
  `getOrthogonalAnchor` in class `org.eclipse.gef.mvc.fx.providers.DefaultAnchorProvider`

### getDefaultAnchor

protected org.eclipse.gef.fx.anchors.IAnchor getDefaultAnchor()

Overrides:
  `getDefaultAnchor` in class `org.eclipse.gef.mvc.fx.providers.DefaultAnchorProvider`